#include <TM1638.h>

TM1638 module(8,7,6);
unsigned long a=1;

void setup ()
{
  Serial.begin(9600);
  Serial.println("jy_mcu1638 init.");
}

static unsigned long num = 0;
static unsigned long display_num = 0;

void loop ()
{
  byte keys = module.getButtons();
  if (Serial.available()) { // data available for Serial.read() 
    int ch = Serial.read();
    Serial.println(ch, HEX);
    if (ch >= '0' && ch <= '9') {
      num = num * 10 + (ch - 0x30);
    }
    
    if (ch == '.') {
      display_num = (num < 100000000) ? num : num % 100000000;
      module.setDisplayToDecNumber(display_num, 0, false);  
      num = 0;
    }
  }

  // setDisplayToDecNumber(number, dots, leadingZero);  
  if (keys > 0) {
    Serial.println(keys, HEX);
    module.setLEDs(((keys & 0xF0) << 8) | (keys & 0xF));
  }
}
